import fs from 'fs'
import http from 'http'
import https from 'https'
import path from 'path'
import { qrc, krc, lrc, lrcx, nrc, utils } from '../index'


//解析QRC
async function test() {
	// const xml = qrc.decrypt(fs.readFileSync('data/new.qrc'))?.toString()
	// if (xml) {
	// 	qrc.encrypt(xml)
	// }

	console.log('==============================测试qrc==========================================')

	await utils.downloadQQMusicLyric({ songID: 102878776 }).then(data => {
		const lyric = qrc.parse(data!)
		console.log(lyric)
		console.log(qrc.stringify(lyric))
	})

	console.log('==============================测试krc==========================================')
	await utils.downloadKugouLyric({ id: 10515303, accesskey: '3A20F6A1933DE370EBA0187297F5477D' }).then(data => {
		const lyric = krc.parse(data!)
		console.log(lyric)
		console.log(lrcx.stringify(lyric))
	})

	console.log('==============================测试lrcx==========================================')
	await utils.downloadKuwoLyric({
		key: 'DBYAHlRcX0pcV1RFIjsqLCYzUEFfV1RLVDY4WFUOEgEcHAcaOhIJCzBYWU1URUcKFhxJLhskGh0QBkMeDB4bHBYRCRtSAhYGBAABAB0NQxcJGFJfWUMWAwcIABgIAFG9ra+40Z/dhKG8zKG1qE8OHA0MFhhU2qW5k9uRTx0HHVgoOTomLSZTUl9dX1tJU0MAGwwWRFRDAwUdDURU',
	}).then(txt => {
		const lyric = lrcx.parse(txt!)
		console.log(lyric)
		console.log(lrcx.stringify(lyric))
	})

	console.log('==============================测试nrc==========================================')
	await utils.downloadNeteasyLyric({ musicID: '210049' }).then(data => {
		const lyric = nrc.parse(data!)
		console.log(lyric)
		console.log(nrc.stringify(lyric))
	})
}

test()